Joomla! 4.0 se lanzará con Bootstrap 5

Joomla! 4.0 se lanzará con Bootstrap 5

NOTICIAS Visto: 615

Durante los últimos dos años, el Production Leadership Team ha seguido de cerca el progreso del proyecto Bootstrap en lo que respecta a su próxima gran versión, Bootstrap 5. Tenemos un gran interés en el lanzamiento de Joomla con las últimas y mejores versiones de las librerías y entornos que utilizamos. Debido a los problemas que surgieron después de la lanzamiento de Joomla 3 y Bootstrap 2, estábamos muy divididos sobre cómo proceder en este frente. Cambiar la versión principal versión de un framework como este no es una decisión fácil y queremos compartir los argumentos que hemos tenido que considerar:

Especialmente en las 2 últimas reuniones del PLT, hemos tenido intensas discusiones sobre esto e inicialmente nos inclinamos a no cambiar la versión. Sin embargo, el trabajo de Dimitris Grammatiko ha contribuido a nuestra decisión. Resultó que el cambio de versión podía hacerse más rápido y fácil de lo esperado. Inspirado por este PR, George Wilson lo ha probado también para el CSS, y con él teniendo un rápido progreso, nos hemos inclinado a hacer este cambio aquí y ahora.

Más arriba hemos enumerado varias preguntas, así que vamos a enumerar también los argumentos de cada pregunta:

Joomla 4 ya tiene muchas grandes características para el lanzamiento.
Los desarrolladores se beneficiarán de un CSS de última generación desacoplado de jQuery y repleto de las características que necesitan para hacer que sus extensiones funcionen mejor. Facilitará la integración con otras plataformas.
Joomla 4 también se beneficiará de la compatibilidad con Right to Left, todas razones válidas para adoptar este cambio.
La actualización a Bootstrap 5 rematará el trabajo de construcción de una nueva versión mayor de Joomla con un marco CSS actualizado y asegurará la longevidad de la versión J4 en el futuro.

Además, para que quede claro. J4 se enviará con una versión oficial de jQuery para ayudar a unificar a los desarrolladores que todavía utilizan jQuery y permitir la adición fácil de jQuery a las extensiones que no lo están utilizando nativo, si es necesario.

Les deseamos lo mejor a todos, que se mantengan sanos y salvos.

Production Department

 


Este artículo es una traducción de Joomla! 4.0 will ship with Bootstrap 5 publicado en Joomla! Developer Network™.

 

Imprimir